## dokuwiki 0.0.20180422.a

=== debian/changelog ===
dokuwiki (0.0.20180422.a-2) unstable; urgency=medium

  * debian/control:
    - depend on versioned php-phpseclib (>=2).  (Closes: #909283)
    - remove Mohammed Adnène Trojette from Maintainers, on his statement.
  * debian/add-ons/button-debian.png: restore debian button that was dropped
    at some point (thanks to Reinhard Tartler). (Closes: #857807)
  * debian/source/local-options: remove, to allow building with dgit (thanks
    to Reinhard Tartler).
  * debian/po/pt.po: update Portuguese translation, thanks to Rui Branco.
    (Closes: #858653)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 26 Sep 2018 17:08:00 +0200

dokuwiki (0.0.20180422.a-1) unstable; urgency=medium

  * New upstream release. (Closes: #892976)
  * Acknowledge NMU 0.0.20160626.a-2.1, thanks to Reinhard Tartler.
    (Closes: #903305)
  * debian/patches: refresh and update patches
    - use_packaged_simplepie.diff: refresh, and patch the static autoloader.
    - use_packaged_php-geshi_SA32559.diff: refresh and patch the static
      autoloader.
    - use_packaged_php-seclib.diff: patch the Composer loader, which is
      now used for this dependency.
    - debianize.diff: no longer needed to patch the installation file with our
      main configuration file checksum; refresh.
    - soften_email_validator.diff: no longer needed.
    - use_packaged_jquery.diff: jquery is now loaded from two files.
    - filter-special-chars-from-ajax-call-para: removed, applied upstream.
    - fix-loading-of-css-closes-894018: removed, applied upstream.
    - use_packaged_php-random-compat.diff: use the packaged version of
      the new dependency php-random-compat.
  * debian/control:
    - depend on php-phpseclib which is the successor of php-seclib.
    - depend on php-random-compat.
    - depend on debhelper >= 11.
    - switch VC to Salsa <https://salsa.debian.org/>.
    - update Standards-Version to 4.2.1 (no change needed).
  * debian/compat: use debhelper compatibility level 11.
  * debian/rules:
    - remove new bundled libraries as we use packaged ones whenever possible.
    - minify jequery-migrate.js from packaged missing source, since upstream
      stopped shipping it.
    - removed bundled library's license and readme files, which are not useful
      for users (they are for people interested in the source).
  * debian/copyright:
    - update with new licenses and new bundled libraries.
    - switch the format URI to HTTPS.
  * debian/missing-sources/lib/scripts/jquery/jquery-migrate.js: add missing
    source file for minified javascript.
  * debian/source/lintian-overrides: add overrides about prebuilt
    JavaScript files, and remove now unused ones.
  * debian/upstream/metadata: add this UMEGAYA file.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 12 Jul 2018 10:36:51 +0200

dokuwiki (0.0.20160626.a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-18123: fix remote code execution through reflected file
    download. Originally prepared by  Antoine Beaupré <anarcat@debian.org>
    (Closes: #889281)
  * Fix loading of css (Closes: #894018)
  * Fix 'Invalid argument supplied for foreach() .../lib/exe/js.php'
    (Closes: #866245)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 07 Jul 2018 11:59:53 -0400
