## dokuwiki 0.0.20200729

=== debian/changelog ===
dokuwiki (0.0.20200729-0.1~bpo11+1) bullseye-backports; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bullseye-backports.

 -- Anton Gladky <gladk@debian.org>  Sun, 27 Mar 2022 13:51:13 +0200

dokuwiki (0.0.20200729-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #968453, #970926)
    + Support for PHP 8. (Closes: #1004330)
    + Refresh all patches.
    + Drop no more needed stanzas from debian/copyright. Thanks Lintian!
    + Update copyright years in debian/copyright.
  * Add a debian/gbp.conf to document the non-standard upstream branch.
  * Upgrade Homepage header to HTTPS.
  * Cherry-pick upstream commit 6b6d27d9 to avoid 500 server error in
    lessc.inc.php.
  * debian/postinst: Replace all occurrences of tempfile with mktemp.
    (Closes: #994877)
  * Add symlinks for phpseclib and random-compat under
    /usr/share/dokuwiki/vendor/. See comment in #1004330.
  * Add lintian overrides for wiki pages, translations and similar files
    triggering package-contains-documentation-outside-usr-share-doc.
  * Remove no more emitted lintian overrides, partially also because of
    the new upstream release which no more ships some affected files.
  * debian/{watch,postrm}: Convert comments from ISO-8859 to UTF-8.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Mar 2022 22:53:27 +0100

dokuwiki (0.0.20180422.a-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 15:28:29 +0100
