=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     po-debconf,
     slimit
 Standards-Version: 4.2.1
-Homepage: http://www.dokuwiki.org/
+Homepage: https://www.dokuwiki.org/
 Vcs-Git: https://salsa.debian.org/debian/dokuwiki.git
 Vcs-Browser: https://salsa.debian.org/debian/dokuwiki
 Rules-Requires-Root: binary-targets
