=== debian/watch ===
# Watch file for dokuwiki to keep track of new upstream versions
# 
# Matti Pöllä <mpo@iki.fi> : initial version
# Mohammed Adnène Trojette <adn+deb@diwi.org> : maintenance

version=3
opts="uversionmangle=s/^/0\.0\./;s/-//g;s/([[:alpha:]]+)$/.$1/;,dversionmangle=s/\+dfsg//" \
 https://download.dokuwiki.org/archive (?:.*)/dokuwiki-(2.*)\.tgz(?:.*)
