## dokuwiki 0.0.20220317~gitaeff85c

=== debian/changelog ===
dokuwiki (0.0.20220317~gitaeff85c-0.1~exp1) experimental; urgency=medium

  * [885580e] Add .gitlab-ci.yml
  * [269c785] New upstream version 0.0.20220317~gitaeff85c
  * [708ec46] Update patches

 -- Anton Gladky <gladk@debian.org>  Tue, 29 Mar 2022 23:40:29 +0200
