## dokuwiki 0.0.20220731.a

=== debian/changelog ===
dokuwiki (0.0.20220731.a-2) unstable; urgency=high

  * Cherry pick upstream 2022-07-31b hotfix patches for the Igor release:
    + ba76f875: fix XSS in RSS syntax
    + b7fcf218: hotfix release for Igor
    Closes: #1036279

 -- Axel Beckert <abe@debian.org>  Sun, 21 May 2023 15:01:45 +0200

dokuwiki (0.0.20220731.a-1) unstable; urgency=medium

  * Salvage package. (Closes: #1008649)
    + Set Maintainer to the Debian Dokuwiki Team and set Anton Gladky and
      myself as Uploaders.
    + Upload to unstable again.
  * Import new upstream release »2022-07-31a “Igor”«
    + Drop patch add_vesion_to_snapshot.diff. (Just needed for packaging
      snapshots.)
    + Refresh debianize.diff.
    + Drop support for PHP versions earlier than 7.2. → Add according
      version constraint to the php dependency.
    + Fixes CVE-2022-28919 XSS vulnerability via the function
      _generateFilename. (Closes: #1011056)
    + Fixes a vulnerability in diff viewer (Github issue #3761)
    + More PHP8-related fixes. (Closes: #974961)
    + Disable "testing" plugin by default by setting its directory to be
      only accessible by root. Add lintian override for that.
    + postinst + dokuwiki-addsite: Handle creation of per-animal data/log
      directories in farms,
    + Add a NEWS.Debian entry mentioning the need to manually create
      per-animal log directories in farm setups which don't use standard
      paths.
    + debian/copyright: Drop now obsolete vendor/paragonie/random_compat
      stanza. Also drop now unneeded Artistic license. Thanks Lintian!
    + Update path and license of the IXR library in debian/copyright.
    + Merge debian/copyright stanzas for vendor/splitbrain/php-archive/*,
      vendor/splitbrain/php-cli/* and the new vendor/splitbrain/slika/*
      into simply vendor/splitbrain/* and update copyright years.
  * Bracketize lintian overrides.
  * Add a debian/.gitignore file.
  * Run "wrap-and-sort -a".
  * Replace debian/compat with versioned dependency on debhelper-compat
    and switch from compat level 11 to 13.
  * Add missing dependency on ${perl:Depends} for DEBIAN/config.
  * Declare compliance with Debian Policy 4.6.1.
  * Add lintian overrides for translations of help page.
  * Don't ship .gitignore or .gitattributes files in the resulting .deb
    package. Also drop redundant license files from the resulting .deb.
  * Add more lintian overrides for DokuWiki's *.info.txt metadata files.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * debian/copyright: Reflow CC-BY-3.0 license. (Removes overlong lines.)
  * Checked all other occurrences of the lintian warning
    very-long-line-length-in-source-file and added commented overrides.

 -- Axel Beckert <abe@debian.org>  Mon, 14 Nov 2022 04:24:11 +0100
