=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,6 @@
 # Matti Pöllä <mpo@iki.fi> : initial version
 # Mohammed Adnène Trojette <adn+deb@diwi.org> : maintenance
 
-version=3
+version=4
 opts="uversionmangle=s/^/0\.0\./;s/-//g;s/([[:alpha:]]+)$/.$1/;,dversionmangle=s/\+dfsg//" \
  https://download.dokuwiki.org/archive (?:.*)/dokuwiki-(2.*)\.tgz(?:.*)
