## dokuwiki 2024-02-06b%2Bdfsg

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/dokuwiki/dokuwiki/tags .*/release-?(\d.*)@ARCHIVE_EXT@
