## dokuwiki 2024-02-06b+dfsg

=== debian/control ===
Source: dokuwiki
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Uploaders:
 Axel Beckert <abe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Homepage: https://www.dokuwiki.org
Vcs-Browser: https://salsa.debian.org/debian/dokuwiki
Vcs-Git: https://salsa.debian.org/debian/dokuwiki.git

Package: dokuwiki
Section: web
Architecture: all
Depends:
 javascript-common,
 libjs-jquery,
 libjs-jquery-cookie,
 libjs-jquery-ui,
 libphp-simplepie,
 php,
 php-constant-time,
 php-geshi,
 php-kissifrot-php-ixr (>= 1.8.4-4~),
 php-phpseclib3,
 php-random-compat,
 ucf,
 ${misc:Depends},
Recommends:
 php-gd,
 php-intl,
 php-mbstring,
Suggests:
 libapache2-mod-xsendfile,
 php-bcmath,
 php-cli,
 php-ldap | php-mysql | php-pgsql,
 wget,
Provides:
 ${dokuwiki:Provides:api},
Description: simple to use and versatile wiki
 DokuWiki is a simple to use and versatile wiki software that doesn't require a
 database and has a clean and readable syntax.
