=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dokuwiki-$1\.tar\.gz/, \
 dversionmangle=s/\+dfsg//" \
https://github.com/dokuwiki/dokuwiki/tags .*/release-?(\d\S+)\.tar\.gz
