## dokuwiki 2025-05-14.a+dfsg

=== debian/changelog ===
dokuwiki (2025-05-14.a+dfsg-4) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:56:35 +0200

dokuwiki (2025-05-14.a+dfsg-3) experimental; urgency=medium

  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1107455).

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2025 18:22:16 +0200

dokuwiki (2025-05-14.a+dfsg-2) experimental; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Jun 2025 20:18:24 +0200

dokuwiki (2025-05-14.a+dfsg-1) experimental; urgency=medium

  * Merging upstream version 2025-05-14a+dfsg.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 May 2025 09:13:51 +0200

dokuwiki (2025-05-14+dfsg-1) experimental; urgency=medium

  * Merging upstream version 2025-05-14+dfsg.
  * Updating copyright for upstream version 2025-05-14+dfsg.
  * Refreshing system-libphp-simplepie.patch.
  * Refreshing system-php-constant-time.patch.
  * Refreshing system-php-geshi.patch.
  * Refreshing system-php-kissifrot-php-ixr.patch.
  * Refreshing system-php-phpseclib3.patch.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 May 2025 08:13:53 +0200

dokuwiki (2024-02-06b+dfsg-9) sid; urgency=medium

  * Shortening dpkg-parsechangelog call in rules.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:58:21 +0200

dokuwiki (2024-02-06b+dfsg-8) sid; urgency=medium

  * Simplifying watch file.
  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1103937).

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Apr 2025 17:59:32 +0200

dokuwiki (2024-02-06b+dfsg-7) sid; urgency=medium

  * Moving farm files into its own directory within the debian packaging
    files.
  * Rewriting dokuwiki-delsite.
  * Rewriting manpages from xml in rst.
  * Building manpages as part of the package build.
  * Using docroot variable in example mod_rewrite section of the generated
    apache configuration.
  * Correcting year in upstream copyright.
  * Removing unneded apache2 restart mechanism.
  * Updating po files for apache2 restart removal.
  * Moving debian patches to subdirectory within patches.
  * Updating todo file.
  * Adding note about CVE-2016-7964 in README.Debian (Closes: #844731).
  * Adding note about CVE-2016-7965 in README.Debian (Closes: #844732).

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 02:39:20 +0100

dokuwiki (2024-02-06b+dfsg-6) sid; urgency=medium

  * Removing unused gbp.conf.
  * Moving dokuwiki multisite (aka farm) related integration into new
    dokuwiki-farm binary packages, this allows to have a better dokuwiki
    default configuration and easier dokuwiki-farm setup.

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Mar 2025 16:42:10 +0100

dokuwiki (2024-02-06b+dfsg-5) sid; urgency=medium

  * Updating vcs fields.
  * Adding dokuwiki-plugins-extra to suggests.
  * Adding dokuwiki-templates-extra to suggests.
  * Updating year in debian copyright for 2025.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 11:08:27 +0100

dokuwiki (2024-02-06b+dfsg-4) sid; urgency=medium

  * Harmonizing comments in rules.
  * Tidying rules file.
  * Updating maintainers field.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 10:20:38 +0100

dokuwiki (2024-02-06b+dfsg-3) sid; urgency=medium

  * Dropping unmaintained lighttp support in debconf handling (Closes:
    #960315).
  * Refreshing debconf po files.
  * Adding updated Brazilian Portuguese debconf translations from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #1093456).

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Jan 2025 07:03:43 +0100

dokuwiki (2024-02-06b+dfsg-2) sid; urgency=medium

  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1091776).
  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1092764).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 16:51:55 +0100

dokuwiki (2024-02-06b+dfsg-1) sid; urgency=medium

  * Correcting BSD license identifier in copyright.
  * Shortening package description.
  * In the past when no password has been entered for the admin user, a
    known default password has been configured which makes dokuwiki
    attackable, now not setting one anymore and showing a note to the user
    to run dpkg-reconfigure instead.
  * Removing pre-2009 note about directory transitions in README.Debian.
  * Correcting another user-group seperator in chown commands in rules.
  * Updating handling for using system php-kissifrot-php-ixr now that
    tests have been included in the package (#1088957).
  * Not shipping install.php for security and other reasons.
  * Updating todo file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 09 Dec 2024 17:52:49 +0100

dokuwiki (2024-02-06b+dfsg-0exp2) experimental; urgency=medium

  * Updating and correcting copyright file for current upstream version.
  * Correcting spelling typos in previous changelog entry.
  * Readding lintian overrides for /var/lib/dokuwiki permissions.
  * Removing pre-2009 /var/lib/dokuwiki transition handling in postinst.
  * Removing php-xml from suggests, it's a depends of php-kissifrot-php-
    ixr.
  * Adding todo file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Dec 2024 18:21:33 +0100

dokuwiki (2024-02-06b+dfsg-0exp1) experimental; urgency=medium

  * Merging upstream version 2024-02-06b+dfsg.
  * Adding excluded files in copyright.
  * Tidy copyright after vendor removals.
  * Tidy rules after vendor removals.
  * Tidy lintian overrides after vendor removals.
  * Avoid looping in debconf password questions when using noninteractive
    frontend.
  * Avoid installing not useful README file in /usr/share/doc.

