=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Axel Beckert <abe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ python3-docutils,
 Rules-Requires-Root: binary-targets
 Standards-Version: 4.7.2
 Homepage: https://www.dokuwiki.org
-Vcs-Browser: https://salsa.debian.org/debian/dokuwiki
-Vcs-Git: https://salsa.debian.org/debian/dokuwiki.git
+Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki
+Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki
 
 Package: dokuwiki
 Section: web
@@ -34,6 +35,8 @@
  php-intl,
  php-mbstring,
 Suggests:
+ dokuwiki-plugins-extra,
+ dokuwiki-templates-extra,
  libapache2-mod-xsendfile,
  php-bcmath,
  php-cli,
@@ -44,3 +47,22 @@
 Description: simple to use and versatile wiki
  DokuWiki is a simple to use and versatile wiki software that doesn't require a
  database and has a clean and readable syntax.
+
+Package: dokuwiki-farm
+Section: web
+Architecture: all
+Depends:
+ dokuwiki (>= 2024-02-06b+dfsg-6~),
+ ${misc:Depends},
+Breaks:
+ dokuwiki (<< 2024-02-06b+dfsg-5~),
+Replaces:
+ dokuwiki (<< 2024-02-06b+dfsg-5~),
+Description: simple to use and versatile wiki (farm)
+ DokuWiki is a simple to use and versatile wiki software that doesn't require a
+ database and has a clean and readable syntax.
+ .
+ A wiki farm is a collection of wikis running on the same web server and sharing
+ one parent wiki engine.
+ .
+ This package contains the integration to run a DokuWiki farm.
