=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//, uversionmangle=s/(\d)(a?\d*)$/$1.$2/" \
https://github.com/dokuwiki/dokuwiki/tags .*/release-?(\d.*)@ARCHIVE_EXT@
