## dokuwiki 2025-05-14.b%2Bdfsg

=== debian/changelog ===
dokuwiki (2025-05-14.b+dfsg-4) sid; urgency=medium

  * Removing pre-trixie version constrains in control.
  * Splitting out rewrite configuration into individual apache2
    configuration in order to be able to automatically enable it.
  * Adding dokuwiki-farm postinst to warn if dokuwiki-rewrite is enabled.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 16:10:12 +0100

dokuwiki (2025-05-14.b+dfsg-3) sid; urgency=medium

  * Harmonizing patch filenames.
  * Adding patch to re-enabling change notice subscription support by
    default (Closes: #1121771).
  * Renumbering patches.
  * Correcting some standard-inconformant dates in previous changelog
    entries.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 09:07:51 +0100

dokuwiki (2025-05-14.b+dfsg-2) sid; urgency=medium

  * Updating watch file to version 5.
  * Updating dokuwiki-addsite for upstream removal of playground, thanks
    to Werner Heuse <debugs@systemausfall.org> (Closes: #1121728).
  * Creating dummy file for jquery to avoid warnings of it's inexistance,
    thanks to Francesco Potortì <Potorti@isti.cnr.it> (Closes: #1121770).

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 09:26:32 +0100

dokuwiki (2025-05-14.b+dfsg-1) sid; urgency=medium

  * Merging upstream version 2025-05-14.b+dfsg:
    - fixes Cross Site Scripting vulnerability that allows a remote attacker to
      execute arbitrary code (Closes: #1117531) [CVE-2025-61224]
  * Updating local upstream changelog for version 2025-05-14.b+dfsg.
  * Harmonizing upstream urls.
  * Adding patch to correct internal FeedParser alias (Closes: #1111888).

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 13:19:03 +0100
