## dokuwiki 2025-05-14.b+dfsg

=== debian/changelog ===
dokuwiki (2025-05-14.b+dfsg-5) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Removing Axel from uploaders, they are not active on the package for
    some years (but are always welcome to return).
  * Updating year in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 10:30:33 +0100
