=== debian/control ===
--- 
+++ 
@@ -2,14 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Daniel Baumann <daniel@debian.org>
-Uploaders:
- Axel Beckert <abe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  python3-docutils,
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.2
-Homepage: https://www.dokuwiki.org
+Standards-Version: 4.7.3
+Homepage: https://github.com/dokuwiki/dokuwiki
 Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki
 Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki
 
@@ -25,7 +23,7 @@
  php,
  php-constant-time,
  php-geshi,
- php-kissifrot-php-ixr (>= 1.8.4-4~),
+ php-kissifrot-php-ixr,
  php-phpseclib3,
  php-random-compat,
  ucf,
@@ -52,12 +50,8 @@
 Section: web
 Architecture: all
 Depends:
- dokuwiki (>= 2024-02-06b+dfsg-6~),
+ dokuwiki,
  ${misc:Depends},
-Breaks:
- dokuwiki (<< 2024-02-06b+dfsg-5~),
-Replaces:
- dokuwiki (<< 2024-02-06b+dfsg-5~),
 Description: simple to use and versatile wiki (farm)
  DokuWiki is a simple to use and versatile wiki software that doesn't require a
  database and has a clean and readable syntax.
