=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DESTDIR=$(CURDIR)/debian/dokuwiki
 
 API_VERSION := $(shell awk -F\" '/^\$$updateVersion/ { print $$2 }' doku.php | cut -d. -f1)
-UPSTREAM_VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev)
+UPSTREAM_VERSION := $(shell dpkg-parsechangelog -SVersion | rev | cut -d- -f2- | rev)
 
 upstream:
 	lynx "https://www.dokuwiki.org/changes?do=export_raw" -dump > debian/local/changelog.upstream
@@ -11,7 +11,17 @@
 %:
 	dh ${@}
 
+execute_after_dh_auto_clean:
+	$(MAKE) -C debian/local/farm clean
+
+execute_after_dh_auto_build:
+	$(MAKE) -C debian/local/farm build
+
 execute_after_dh_install:
+	# create dummy files
+	mkdir -p $(DESTDIR)/usr/share/dokuwiki/lib/scripts/jquery
+	touch $(DESTDIR)/usr/share/dokuwiki/lib/scripts/jquery/versions
+
 	# already installed to /var/lib/
 	rm -rf $(DESTDIR)/usr/share/dokuwiki/lib/tpl
 	rm -rf $(DESTDIR)/usr/share/dokuwiki/lib/plugins
